> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.shared.display.displayrotation.md).

# DisplayRotation

Namespace: **Wisej.Hybrid.Shared.Display**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents the rotation a device display can have.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DisplayRotation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DisplayRotation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                |
| --------------- | ------------------------------------------ |
| **Rotation0**   | The device display is rotated 0 degrees.   |
| **Rotation180** | The device display is rotated 180 degrees. |
| **Rotation270** | The device display is rotated 270 degrees. |
| **Rotation90**  | The device display is rotated 90 degrees.  |
| **Unknown**     | Unknown display rotation.                  |

## Used By

| Name                                                                                                  | Description                                   |
| ----------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| [DisplayInfo.Rotation](/hybrid/start/api/display/wisej.hybrid.displayinfo.md#rotation)                | The device's rotation.                        |
| [DisplayInfo.Rotation](/hybrid/start/api/display/wisej.hybrid.shared.display.displayinfo.md#rotation) | Gets the orientation of the device's display. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.shared.display.displayrotation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
